Unable to run the application in Spring STS or Eclipse

Unable to run the application in Spring STS or Eclipse

Getting error given below.

Hi @Ankit_96215,

Try upgrading JDK and then try again. Please share few things:

  • Which version of JDK you are using?

  • Please share the connection string from application.properties

Kanika

1 Like

Thanx for the reply Kanika

I am using
jdk1.8.0_51 and the connection url is
mongodb+srv://m220student:m220password12@cluster0-65hkk.mongodb.net/test?retryWrites=true

I upgraded the JDK to 1.8.0_211 and it fixed the problem.
Thank you :slight_smile:

Glad to hear @Ankit_96215.

Kanika